org.apache.cassandra.db

## Class PartitionColumns.Builder

- java.lang.Object
- - org.apache.cassandra.db.PartitionColumns.Builder

Enclosing class:
  PartitionColumns

    public static class PartitionColumns.Builder
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PartitionColumns.Builder` `add(ColumnDefinition c)`
`PartitionColumns.Builder` `addAll(java.lang.Iterable<ColumnDefinition> columns)`
`PartitionColumns.Builder` `addAll(PartitionColumns columns)`
`PartitionColumns` `build()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### add

    public PartitionColumns.Builder add(ColumnDefinition c)

#### addAll

    public PartitionColumns.Builder addAll(java.lang.Iterable<ColumnDefinition> columns)

#### addAll

    public PartitionColumns.Builder addAll(PartitionColumns columns)

#### build

    public PartitionColumns build()